| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csutil/redblacktree.h File Reference

Implementation of a red-black-tree. More...

`#include "csutil/blockallocator.h"`
`#include "csutil/comparator.h"`
`#include <new>`

Go to the source code of this file.

## Classes
class | csRedBlackTree< K >
| A red-black-tree. More...
struct | csRedBlackTree< K >::Node
| A node in the tree. More...
class | csRedBlackTreeMap< K, T >
| Key-value-map, backed by csRedBlackTree. More...
class | csRedBlackTreePayload< K, T >
| Helper template to allow storage of a payload together with a key in a csRedBlackTree. More...

## Detailed Description

Implementation of a red-black-tree.

Definition in file redblacktree.h.